Merchant Onboarding
Notify the token requestor about a merchant onboarding update.
In case of retryable error returned by the token requestor, the notification will be resent periodically with exponential backoff.
Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value. Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b
A unique message identifier. It eventually correlates the notification with a request if any. The goal is to help on customer support when needed.
Identifier of the merchant provided by Thales at on-boarding.
The card primary scheme.
VISA可能な値: The Token Requestor Identifier generated by the scheme for that merchant. In case of Mastercard Secure Card-On-File program, this field is not returned, see 'mcServiceId' instead.
40000000080Token Requestor Id for SCOF solution, equivalent to the TRID. It is assigned by Mastercard to entity for which tokens are created.
Last update timestamp compliant with ISO 8601.
2017-11-13T11:012:41.165ZNo Content
コンテンツなし
Bad request - Not Retryable
Unauthorized - Not Retryable
Not Found - Not Retryable
Too Many Requests - Retryable
Internal Server Error - Retryable
Service Unavailable - Retryable
POST /tsh-cof/notify-merchant-update HTTP/1.1
Authorization: Basic username:password
authorization: null
x-correlation-id: null
Content-Type: application/json
Accept: */*
Content-Length: 199
{
"merchantId": "text",
"scheme": "VISA",
"trId": "40000000080",
"mcServiceId": "text",
"error": {
"errorCode": "TSP_NON_RETRYABLE_ERROR",
"errorDetails": "text"
},
"lastUpdateTimestamp": "2017-11-13T11:012:41.165Z"
}コンテンツなし
最終更新
役に立ちましたか?